Subject: bug#54436: 28.0.91; Only every second mouse wheel scroll is registered

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 19 Mar 2022 15:18:29 +0100

Po Lu <[email-masked]> writes:

> Are you running PGTK?  It's not present in the official pretests of
> Emacs 28, but several very irresponsible individuals are haphazardly
> merging the code from Emacs 29 into Emacs 28, and then distributing
> packages labeled "enhanced or "wayland" on platforms such as the AUR.

Well, it's free software, so people can do what they want.  But bugs in
these Frankenstein Emacs versions should be reported to the people that
distribute them, which in this case is Arch Linux.

> The solution is to use the official build of Emacs 28, and to not use
> PGTK on X Windows if you want to run Emacs 29.

So there doesn't seem to be anything to be done on the Emacs side here,
and I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no